<?php		

// ini_set('display_errors',1);

session_start();


require_once ("../../config/Cado.php");

require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once("../producto/cProductomarcacodigo.php");
$oProductomarcacodigo = new cProductomarcacodigo();

require_once ("../formatos/formato.php");

if(isset($_SESSION['venta_catid'])){
	$num_rows=count($_SESSION['venta_catid']);
	if($num_rows==0)$num_rows="";
}else{
	$num_rows="";
}


/* echo '---'.$app_igv_val;
echo '---'.$app_igv_sub;
echo '---'.$app_igv_igv; */

?>

<style>
	#tabla_venta_car td{
		vertical-align: middle;
		padding: 4px 4px !important;
	}
	#tabla_venta_car td.editable,#tabla_venta_car td.editable *{
		cursor: text !important;
		height: 100%; 
		border-bottom-color: #ccc;
		border-bottom-style: dashed; 
		border-bottom-width: 0.5px;
	}
	#tabla_venta_car td.editando{
		background-color: rgba(18, 180, 243, 0.05);
		outline: 2px solid #35A4F3;
	}
	#tabla_venta_car td input{
		height: 100%;
		width: 100%;
		box-sizing: border-box;
		display: inline-block;
		border: none;
		background: transparent;
	}
	#tabla_venta_car td input:focus{
		background: transparent;
		height: 100%;
		width: 100%;
		outline: none;
		border: none;
	}
	#tabla_venta_car td input[readonly]{
		background: transparent;
	}
</style> 

<?php 
//if($_POST['vista']=='cotizacion'){
?>	
	
	
	
<?php 
// }else {}
?>
<div class="col-lg-12 col-sm-12 col-12 no-padding">
<div class="row">
<div class="col-lg-12 col-sm-12 col-12 no-padding">
 <div class="table-responsive">
 
<div class="col-lg-12 col-md-12 col-12 no-padding">	
	<input name="hdd_ven_numite" id="hdd_ven_numite" type="hidden" value="<?php echo $num_rows?>">


			<?php 
			
			$total = 0;
			if($num_rows>0){
				$banrojo = true;
				foreach($_SESSION['venta_catid'] as $indice=>$cantidad) {

				
			$dts1=$oCatalogo->mostrarUno($_SESSION['venta_catid'][$indice],$_SESSION['venta_marid'][$indice]);
			$dt1 = mysqli_fetch_array($dts1);
			

			$imei = $_SESSION['venta_imei'][$indice];		
			$imei_id = $_SESSION['venta_imei_id'][$indice];		
			$esp_id=$_SESSION['venta_espid'][$indice];

			$cantidad=$_SESSION['venta_can'][$indice];
			$can=$_SESSION['venta_can'][$indice];
			$tippre=$_SESSION['venta_tippre'][$indice];
			
			$pre_uni=$_SESSION['venta_preven'][$indice];
			$des_uni=$_SESSION['venta_des'][$indice];
			//$pronom=$_SESSION['venta_pronom'][$indice];
			$pronom=$dt1['tb_producto_nom'];
			

			$valor_uni = $pre_uni / 1.18;
			$igv_uni = $pre_uni - $valor_uni;
			
			
			$val_tot = $valor_uni * $can;
			$igv_tot = $igv_uni * $can;		
			$pre_tot = $pre_uni * $can;
			
			$total	+=$pre_tot;				
			
		
			
			/* 
			$rscod = $oProductomarcacodigo->mostrarUno($dt1['tb_catalogo_id'],'1');
			$dtcod = mysqli_fetch_array($rscod);
			
			$codpri = $dtcod['tb_productomarcacodigo_cod']; */
				
			if($_SESSION['venta_est'][$indice]=='1'){
				$color = '';
			}else if($_SESSION['venta_est'][$indice]=='2'){
				$color="text-red";
			}	
			
			if($pre_tot<=0){
				$banrojo = false;
			}
			
			
		
		//echo $tippre;
		
			?>
			
				
						
			<table id="" class="">
			<tbody>
			<tr  >
				<td>
				<div title="<?php echo $colnom; ?>" style="background-color:<?php echo $colcod; ?>;height:15px;width:15px;border-radius:50%;"></div>
				</td>
				<td>
				<strong><?php echo $pronom; ?></strong>
				<strong nowrap ><?php echo ' | '.$dt1['tb_marca_nom']?></strong>
				</td>
			</tr>
			</tbody>
			</table>

			<table id="tabla_venta_car" class="table table-bordered table-striped">
			<tbody>
			<tr  >
			
			<td align="right" width="50" class="editable" style="font-size:9pt; font-weight:bold">
				<input type="text" value="<?php echo $cantidad ?>" data-can="<?php echo $cantidad ?>"  data-cantidad="<?php echo $can ?>" 
				data-original="<?php echo $cantidad ?>" readonly data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>"
				data-tippre="<?php echo $tippre ?>" data-tipdes="<?php echo $tipdes ?>" data-est="<?php echo $_SESSION['venta_est'][$indice];?>" 
				data-mar_id ="<?php echo $dt1['tb_marca_id'] ?>" class="text-dark" style="text-align: right;font-size:1rem;">
			</td>

			<td align="right" width="80"  class="editable" style="font-size:9pt; font-weight:bold; <?php if($pre_tot<=0) echo 'background-color:#B71C1C;color:#fff '; ?>">
				<?php //echo formato_money($pre_uni) ?>
				
				<input type="text" value="<?php echo formato_money4($pre_uni) ?>" 
				data-preven="<?php echo formato_money($pre_uni) ?>"  data-tip = "preuni"
				data-original="<?php echo formato_money($pre_uni) ?>" 
				data-esp_id ="<?php echo $esp_id ?>"
				data-imei_id ="<?php echo $imei_id ?>"
				data-imei ="<?php echo $imei ?>"
				data-tipdes="<?php echo $tipdes ?>"  data-tippre="<?php echo $tippre ?>"
				data-est="<?php echo $_SESSION['venta_est'][$indice];?>"
				data-mar_id ="<?php echo $dt1['tb_marca_id'] ?>" readonly 
				data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>" class="<?php if($pre_tot<=0){echo 'text-white';}else{ echo 'text-dark'; } ?>"  style="text-align: right;font-size:1rem;">
						
			</td>
			
			<td align="right" width="100" class="editable" style="font-size:12pt; font-weight:bold;<?php if($pre_tot<=0) echo 'background-color:#B71C1C;color:#fff '; ?>">
							<input type="text" class="<?php if($pre_tot<=0){echo 'text-white';}else{ echo 'text-dark'; } ?>"  value="<?php echo formato_money($pre_tot) ; ?>" 
							data-original="<?php echo formato_money($pre_tot) ?>" 
							data-cantidad="<?php echo $can ?>" data-tip = "pretot" 
							data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>" 
							data-esp_id ="<?php echo $esp_id ?>"
				data-imei_id ="<?php echo $imei_id ?>"
				data-imei ="<?php echo $imei ?>"
							data-mar_id ="<?php echo $dt1['tb_marca_id'] ?>" data-tippre="<?php echo $tippre ?>"
							data-est="<?php echo $_SESSION['venta_est'][$indice];?>"
							data-des="<?php echo formato_money($des_uni) ?>"
							readonly 
							style="text-align: right;font-size:1rem;">
			</td>
				
						
			<td align="center" nowrap="nowrap"> 
				<span data-indice ="<?php echo $indice; ?>"  style="cursor:pointer" class="btn btn-danger btn-sm btn_eliminar" ><i class="fa fa-times"></i></span> 		
			</td>				
			</tr>
			</tbody>
			</table>
			
			<?php
					mysqli_free_result($dts1);
				}
				
				$total_valorventa =$total/1.18;
				$total_igv	=$total_valorventa * 0.18;

			}
			?>

		

	<br>
	<?php 
	if($num_rows=="" or $num_rows==0)
		echo 'Ningún producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	if($num_rows==1)
		echo $num_rows.' producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	if($num_rows>=2)
		echo $num_rows.' productos agregados. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
		//echo 'Diferencia '.abs($dif);
	
	/* echo '<br />'.$oferta_menu; */
	?>

</div>
</div>		
</div>		

<div class="col-lg-12 col-sm-12 col-12">
<div class="row">
<div class="col-lg-12 col-sm-12 col-12">
							<div class="row">

							<div class="col-lg-4 col-sm-6 col-6">
								<label>Ope. Gravada:</label>
								<input name="txt_ven_valven" type="text"class="form-control form-control-lg" id="txt_ven_valven" style="text-align:right;font-weight: bold;" value="<?php echo formato_money($total_valorventa)?>"  > 							
							</div>
						
							<div class="col-lg-4 col-sm-6  col-6">
								<label>IGV:</label>
								<input name="txt_ven_igv" type="text" class="form-control form-control-lg" id="txt_ven_igv" style="text-align:right;font-weight: bold;" value="<?php echo formato_money($total_igv)?>"   > 
							</div>
							<div class="col-lg-4 col-sm-6  col-6 d-none">
								<label>DSCT:</label>
								<input name="txt_ven_des" type="text" class="form-control form-control-lg" id="txt_ven_des" style="text-align:right;font-weight: bold;" value="<?php echo formato_money($des_tot)?>"   > 
							</div>	
							
							<div class="col-lg-4 col-sm-6  col-6">
								<label>TOTAL:</label>
								<input name="txt_ven_tot" type="text" class="form-control form-control-lg" id="txt_ven_tot" style="color:#00ACC1;text-align:right;font-weight: bold;" value="<?php echo formato_money($total)?>" > 
							</div>
							
							</div>
</div>

<div class="col-lg-12 col-sm-12 col-12  " style="height:20px;"></div>

<div class="col-lg-12 col-sm-12 col-12  ">
						<div class="row">

							<div class="col-lg-6 col-sm-6 col-6 ">
								<label>Recibi:</label>
								<input name="txt_ven_recibi" type="text"class="form-control form-control-lg" autocomplete = "off" id="txt_ven_recibi" style="text-align:right;font-weight: bold;" value="<?php echo '' ?>"  > 							
							</div>
						
							<div class="col-lg-6 col-sm-6  col-6 ">
								<label>Vuelto</label>
								<input name="txt_ven_vuelto" readonly  type="text" placeholder="INGRESE MONTO VALIDO" class="form-control form-control-lg" id="txt_ven_vuelto" style="color:#B71C1C;text-align:right;font-weight: bold;" value="<?php echo '' ?>"   > 
							</div>
							
						
							
						</div>
</div>	

<div class="col-lg-12 col-sm-12 col-12  " style="height:20px;"></div>

<div class="col-lg-12 col-sm-12 col-12   ">
	<div class="box-footer  div_botones_venta float-right ">	
		<span data-dismiss="modal" class="btn btn-lg btn-default restablecer">RESTABLECER</span>
		<span class="btn btn-danger btn-lg" id="save_form">VENDER</span>
		<div class="col-lg-12 col-md-12 col-12" style="padding:5px;"></div> 
	</div>
</div>
						
					






</div>	
</div>	
</div>	

</div>	
		
<script type="text/javascript" >


	$(function() {


	<?php 
	if($num_rows==0){
	?>
		$("#save_form").hide(100);
	<?php
	}else{
		if($banrojo==true){
	?>
		$("#save_form").show(100);
	<?php 
		}else if($banrojo==false){
	?>
		$("#save_form").show(100);
	<?php 
		}
	}
	?>
		


 			

	$("#txt_ven_recibi").keyup(function() {
			
				calcular_vuelto($('#txt_ven_tot').val(), $(this).val());
				
			
		});


	$("#txt_ven_recibi,#txt_ven_tot, #txt_ven_igv, #txt_ven_valven").keydown(function(e){
			if(e.which==13)
			{
				
				e.preventDefault();
			}
		});

        tabla_totales();

		<?php if($num_rows > 0){ ?>
		$('#cmb_mone_id').attr('disabled','disabled');
		<?php }else{
		?>
		$('#cmb_mone_id').removeAttr("disabled");
		<?php	
		}?>

		var nFilas = $("#hdd_ven_numite").val();
		  if(nFilas>0){
			$('#tabcliente .nav-tabs a:last').tab('show'); 
		  }
  $("#txt_importe_cliente").attr('placeholder',$("#txt_ven_tot").val())

		
		$('#tabla_venta_car td input').keydown(function(ev) {
			if(ev.keyCode == 13 && !$(this).attr('readonly')) {
			
			var tippre = $(this).attr('data-tippre');
			var cat_id = $(this).attr('data-cat_id');
			var mar_id = $(this).attr('data-mar_id');
			var cantidad = $(this).parent().parent().find('input[data-cantidad]').attr('data-cantidad');
			var can = $(this).parent().parent().find('input[data-cantidad]').val();
			var preven = $(this).parent().parent().find('input[data-preven]').val();
			var des = $(this).parent().parent().find('input[data-des]').val();
			var tipdes = $(this).attr('data-tipdes');
			var tip = $(this).attr('data-tip');
			var est = $(this).attr('data-est');
				var esp_id = $(this).attr('data-esp_id');
			var imei_id = $(this).attr('data-imei_id');
			var imei = $(this).attr('data-imei');
		var nada = 0;
				
				
			if(tip=="des"){
					
				preuni =  $(this).parent().parent().find('input[data-preven]').val();
				agregar_producto('agregar', cat_id, can, preuni, mar_id,des,tipdes,nada,esp_id,imei_id,imei);
			
			}else if(tip=="pretot"){
				
			var pretot = $(this).val();
			
			preuni = pretot.toString().replace(',','')/ cantidad ;	
			agregar_producto('agregar', cat_id, can,preuni,mar_id,des,tipdes,nada,esp_id,imei_id,imei);
			
			}else if(tip=="valtot"){
				
			// var valtot = $(this).val();
			// valuni =  new NumberFormat(valtot).toFormatted()/new NumberFormat(cantidad).toFormatted();
			
			//alert(valuni);
			
			// agregar_producto('agregar', cat_id, cantidad, new NumberFormat(valuni).toFormatted(), mar_id,des,'','',est);
			
			}else if(tip=="preuni"){
				
				var preuni = $(this).val();
				agregar_producto('agregar', cat_id, can,preuni,mar_id,des,tipdes,nada,esp_id,imei_id,imei);
			
			}else{
				agregar_producto('agregar', cat_id, can, preven,mar_id,des,tipdes,nada,esp_id,imei_id,imei);
			}	
				
				
				
				$(this).attr('readonly', 'true');
				$(this).parent().removeClass('editando');
				return false;
			}
		});

		$('#tabla_venta_car td input').parent().click(function(ev) {
			var $input = $(this).find('input');
			var $td = $input.parent().addClass('editando');
			$input.removeAttr('readonly').focus().select();
		});

		$('#tabla_venta_car td input').blur(function(event) {
			$(this).val($(this).attr('data-original'));
			$(this).attr('readonly', 'true');
			$(this).parent().removeClass('editando');
		});

		$('#tabla_venta_car td input').keydown(function(ev) {
			if(ev.keyCode==27){
				$(this).val($(this).attr('data-original'));
				$(this).attr('readonly', 'true');
				$(this).parent().removeClass('editando');
			}
		});

	/* 	$( ".btn_editar" ).click(function() { 
			var $input = $(this).parent().parent().find('input[data-cantidad]');
			var $td = $input.parent().addClass('editando');
			$input.removeAttr('readonly').focus().select();
		}); */

		$( ".btn_eliminar" ).click(function() { 
			
			var indice = $(this).attr('data-indice');
				
			if(confirm('¿Seguro de quitar el item?')){
				agregar_producto('quitar', indice);
			}
		});

		$( ".cmb_estado" ).change(function() { 
			
			var cat_id = $(this).attr('data-cat_id');
			var mar_id = $(this).attr('data-mar_id');
			var cantidad = $(this).attr("data-cantidad");
			var preven = $(this).attr("data-preven");
			var des = 0;
			var tipdes = $(this).attr('data-tipdes');
			var tip = $(this).attr('data-tip');
			var est = $(this).val();
			
			agregar_producto('agregar', cat_id, cantidad, preven,mar_id,des);
			
			
			
		});
		
		
		$(".restablecer").click(function() { 
			ventapos_form('insertar','');
		});

		var clicando = false;

		$("#save_form").click(function() {
				
				doc = $("#cmb_doc_id").val(); // 4 boleta 5 factura
				doccli = $("#txt_ven_cli_doc").val().length;
				
				if($("#cmb_forpag_id").val()=="1" && $("#cmb_caj_id").val()==""){
					
						toastr["error"]('Debe seleccionar una caja.');
						$("#cmb_caj_id").focus();
									
				}else if($("#cmb_forpag_id").val()=="2" && $("#txt_venpag_numdia").val()==""){
						toastr["error"]('Ingrese numero de dias.');
				}else if($("#cmb_doc_id").val()==""){
						toastr["error"]('Debe seleccionar un Tipo de documento');
				}else{
				
				if(doc==5 && doccli!=11){
					toastr["error"]('Solo se emiten facturas a clientes con Nº de RUC');
					$("#txt_ven_cli_nom").focus();
				}else{		
									
					if(clicando){
						
					}else{

					clicando = true;
					
					$("#for_ven").submit();
					$(".div_botones_venta").hide(100);
					

					/* $('#div_mensaje_dialog').modal('show');
					var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					$('.div_mensaje').html(div); */
					}
				}
				
				}
				
				
 			});
	



	}); 
	
	
	
function tabla_totales()
{

	$.ajax({
		type: "POST",
		url: "../compra/tabla_totales.php",
		async:true,
		dataType: "html", 
		data: ({
			vista: 'venta_form'
		}),                   
		beforeSend: function() {
				
	
			$('#div_tablatotales').addClass("ui-state-disabled");
        },
		success: function(html){
			$('#div_tablatotales').html(html);
		},
		complete: function(){			
			$('#div_tablatotales').removeClass("ui-state-disabled");
	
		}
	});     
}

function calcular_vuelto(total,recibi)
{

	$.ajax({
		type: "POST",
		url: "../venta/calcular_vuelto.php",
		async:true,
		dataType: "json", 
		data: ({
			total:total,
			importe:recibi,
			vista: 'venta_form'
		}),                   
		beforeSend: function() {

        },
		success: function(data){
			
			$('#txt_ven_vuelto').val(data.vuelto);
		},
		complete: function(){			
			
		}
	});     
}
	


</script>


